Package org.kapott.hbci.comm

# Class PinTanSSLSocketFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
org.kapott.hbci.comm.PinTanSSLSocketFactory

public class PinTanSSLSocketFactory extends SSLSocketFactory

## Constructor Summary

Constructors
Constructor
Description
`PinTanSSLSocketFactory(AbstractPinTanPassport passport)`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket()`
`Socket`
`createSocket(String host, int port)`
`Socket`
`createSocket(String host, int port, InetAddress localHost, int localPort)`
`Socket`
`createSocket(InetAddress addr, int port)`
`Socket`
`createSocket(InetAddress addr, int port, InetAddress localHost, int localPort)`
`Socket`
`createSocket(Socket sock, String host, int port, boolean autoClose)`
`boolean`
`debug()`
`String[]`
`getDefaultCipherSuites()`
`String[]`
`getSupportedCipherSuites()`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`createSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinTanSSLSocketFactory

public PinTanSSLSocketFactory(AbstractPinTanPassport passport)

## Method Details

### debug

public boolean debug()

### createSocket

public Socket createSocket() throws IOException

Overrides:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(Socket sock, String host, int port, boolean autoClose) throws IOException

Specified by:
  `createSocket` in class `SSLSocketFactory`
Throws:
  `IOException`

### getDefaultCipherSuites

public String[] getDefaultCipherSuites()

Specified by:
  `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

public String[] getSupportedCipherSuites()

Specified by:
  `getSupportedCipherSuites` in class `SSLSocketFactory`

### createSocket

public Socket createSocket(String host, int port) throws IOException, UnknownHostException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(InetAddress addr, int port) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(String host, int port, InetAddress localHost, int localPort) throws IOException, UnknownHostException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`
  `UnknownHostException`

### createSocket

public Socket createSocket(InetAddress addr, int port, InetAddress localHost, int localPort) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`